Bug 201296 - Commenting `Load "dri"' causes a lockup
Commenting `Load "dri"' causes a lockup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 00:05 EDT by Pete Zaitcev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 00:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (41.77 KB, text/plain)
2006-08-04 21:31 EDT, Pete Zaitcev
no flags Details
Xorg.0.log.nodri (34.67 KB, text/plain)
2006-08-05 21:57 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2006-08-04 00:05:25 EDT
Description of problem:

When trying to narrow a different problem, I commented the `Load "dri"'
statement from xorg.conf. With that, X would not start. A white band
appears on the LCD, gradually growing in brightness.

Version-Release number of selected component (if applicable):

xorg-x11-drivers-7.0-2
xorg-x11-drv-ati-6.5.7.3-4
xorg-x11-server-Xorg-1.0.99.1-2
kernel-2.6.17-1.2157_FC5

How reproducible:

Always, on the given hardware

Steps to Reproduce:
1. Comment `Load "dri"' from xorg.conf
2. Start X
  
Actual results:

Video is not initialized, system lockup.

Expected results:

Normal operation (only slower)

Additional info:

This is Dell Latitude D600, which I got from Havoc. His former desktop
group ought to have more of these.

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf [FireGL
9000] (rev 02)

The driver is "radeon", without the "ati" multiplexor.

The problem happens with any kernel which I tried.

I encountered the problem with xorg-x11-drv-ati-6.5.8.0-1, which is current
for FC-5 at present time. I down-stepped the package. It may have been
there for a long time.
Comment 1 Adam Jackson 2006-08-04 18:41:56 EDT
Please attach the Xorg.0.log from the failed startup.  I suspect X is actually
starting and just doing violently bad things to the display.
Comment 2 Pete Zaitcev 2006-08-04 21:31:28 EDT
Created attachment 133673 [details]
Xorg.0.log
Comment 3 Pete Zaitcev 2006-08-04 21:37:17 EDT
When I collected the above log, all the symptoms were the same as I described,
except that the system DID NOT lock up. So, I logged in over the network,
run ps and found that the X process was not present. Then, I collected the log.
However, there's nothing in the log telling anything about the crash, it
just ends abrubtly. There was no oops or other misbehaviour in the system
either.

So it looks that kernel is unable to restore the text mode once X had control
and crashed. That part may be a kernel problem. But my objective is to have
X which does not exit...
Comment 4 Pete Zaitcev 2006-08-05 21:57:04 EDT
Created attachment 133702 [details]
Xorg.0.log.nodri

How typical, I attached a wrong file. This one is the correct log.
(Verified by running diff)
Comment 5 Pete Zaitcev 2007-04-10 00:32:23 EDT
Seems working now.

xorg-x11-drivers-7.2-4.fc7
kernel-2.6.20-1.2990.fc7

Note You need to log in before you can comment on or make changes to this bug.